## arqiver 0.9.0

=== CMakeLists.txt ===
project(arqiver)
cmake_minimum_required(VERSION 3.0)
set(CMAKE_BUILD_TYPE Release)
add_definitions(-Wall)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX "/usr")
endif()

set(QT_MINIMUM_VERSION "5.12.0")

find_package(Qt5Core "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5Gui "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5Svg "${QT_MINIMUM_VERSION}" REQUIRED)

# optional localization
find_package(Qt5LinguistTools QUIET)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                    ${Qt5Core_INCLUDE_DIRS}
                    ${Qt5Gui_INCLUDE_DIRS}
                    ${Qt5Widgets_INCLUDE_DIRS}
                    ${Qt5Svg_INCLUDE_DIRS})

add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")

set(arqiver_SRCS
    main.cpp
    backends.cpp
    config.cpp
    mainWin.cpp
    pref.cpp
    svgicons.cpp
    treeWidget.cpp)

set(arqiver_RESOURCES data/arq.qrc)
set(DESKTOP_FILE data/arqiver.desktop)
set(ICON_FILE data/icons/arqiver.svg)

if(CMAKE_VERSION VERSION_LESS "3.10.0") # CMP0071 in 3.10: Let AUTOMOC and AUTOUIC process GENERATED files
  qt5_wrap_cpp(EXTRA_HEADERS label.h lineedit.h)
else()
  set(EXTRA_HEADERS label.h lineedit.h)
endif()

# translations
if(Qt5LinguistTools_FOUND)
  file(GLOB TS_FILES data/translations/arqiver_*.ts)
  qt5_add_translation(QM_FILES ${TS_FILES})
  add_executable(arqiver ${arqiver_SRCS} ${arqiver_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE} ${QM_FILES})
  install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/arqiver/translations")
else(Qt5LinguistTools_FOUND)
  add_executable(arqiver ${arqiver_SRCS} ${arqiver_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE})
endif(Qt5LinguistTools_FOUND)

target_link_libraries(arqiver ${Qt5Core_LIBRARIES}
                              ${Qt5Gui_LIBRARIES}
                              ${Qt5Widgets_LIBRARIES}
                              ${Qt5Svg_LIBRARIES})

# installation
install(TARGETS arqiver RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
install(FILES ${DESKTOP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")
install(FILES ${ICON_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps")

## arqiver 0.6.0

=== debian/changelog ===
arqiver (0.6.0-0.1~mx17+1) mx; urgency=medium

  * Intial packaging.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Jul 2020 14:27:49 -0700

=== debian/control ===
Source: arqiver
Maintainer: Steven Pusser <stevep@mxlinux.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libqt5svg5-dev,
               qtbase5-dev,
               qttools5-dev-tools
Standards-Version: 4.4.1
Homepage: https://github.com/tsujan/Arqiver

Package: arqiver
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gzip,
         libarchive-tools,
         p7zip-full | p7zip
Description: simple Qt5 archive manager
 Arqiver is a simple Qt5 archive manager as a front-end for libarchive
 (bsdtar), gzip, and 7z.
 .
 Arqiver can extract, create and edit archives that are supported by its
 backends. It can open archives by drag-and-drop. Its listed items can be
 viewed separately, or dragged and dropped into appropriate applications. With
 7z, it also supports password protection, and is desktop-independent.
 .
 This package contain the application files.

Package: arqiver-l10n
Architecture: all
Section: localization
Depends: qttranslations5-l10n
Description: simple Qt5 archive manager (localization)
 Arqiver is a simple Qt5 archive manager as a front-end for libarchive
 (bsdtar), gzip, and 7z.
 . .
 This package contain the localization files.

## arqiver 0.6.0+git20200805

=== debian/changelog ===
arqiver (0.6.0+git20200805-0.1~mx19+1) mx; urgency=medium

  * New git pull; add automatic support for rar file extraction, translation
    updates.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Aug 2020 09:03:50 -0700

arqiver (0.6.0-0.1~mx19+1) mx; urgency=medium

  * Intial packaging.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Jul 2020 14:27:49 -0700

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
 
 Package: arqiver
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         gzip,
+Depends: gzip,
          libarchive-tools,
-         p7zip-full | p7zip
+         p7zip-full | p7zip,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: simple Qt5 archive manager
  Arqiver is a simple Qt5 archive manager as a front-end for libarchive
  (bsdtar), gzip, and 7z.

## arqiver 0.8.0

=== debian/changelog ===
arqiver (0.8.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
   - Added a workaround for a problem in QCollator.
   - Added an option for expanding top level directories when loading archives.
   - Resize columns appropriately on expanding a directory item.
   - Don't stretch the first column by default.
   - Don't show the header without content.
   - Select/deselect the current item with Ctrl+Space and also select it when
     the first Space is typed.
   - Don't select items by pressing the left mouse button and moving the cursor.
   - Don't drag items while the middle mouse button is pressed.
   - Added "application/x-xz", "application/x-bzip" and "application/zstd" to
     the supported extractions by using 7z.
   - Added a workaround for Qt's problem with scrolling to deep nonexpanded
     tree items.
   - Always expand the first header column to fill the available width.
   - Added cmake support (in addition to qmake).
   - Allow dragging of all selected items, including probable directories.
   - Add milliseconds to the name of the cache folder that's used for temporary
     extraction because multiple archives may be loaded almost simultaneously.
   - Show the compressed size prefixed by "≥" if the file size is missing.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 17 Oct 2021 13:50:15 -0700

arqiver (0.7.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Update debian/copyright. 

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 11 Feb 2021 06:48:23 -0800

arqiver (0.6.1-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 26 Sep 2020 16:25:40 -0700

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  Arqiver can extract, create and edit archives that are supported by its
  backends. It can open archives by drag-and-drop. Its listed items can be
  viewed separately, or dragged and dropped into appropriate applications. With
- 7z, it also supports password protection, and is desktop-independent.
+ 7z, it also supports password protection. Arqiver is desktop-independent.
  .
  This package contain the application files.

## arqiver 0.9.0

=== debian/changelog ===
arqiver (0.9.0-1) unstable; urgency=medium

  * Initial release (Closes: #976226)

 -- S. 7 <severusseptimius7@gmail.com>  Fri, 19 Nov 2021 14:50:32 -0500

=== debian/control ===
Source: arqiver
Section: misc
Priority: optional
Maintainer: S. 7 <severusseptimius7@gmail.com>
Build-Depends: debhelper-compat (= 13),
               g++ (>=5),
               qtbase5-dev,
               libqt5svg5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.0
Homepage: https://github.com/tsujan/Arqiver
Vcs-Browser: https://salsa.debian.org/S.7/arqiver
Vcs-Git: https://salsa.debian.org/S.7/arqiver.git
Rules-Requires-Root: no

Package: arqiver
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libarchive-tools,
         gzip (>=1.9),
         7zip
Description: Simple Qt5 archive manager; front-end for libarchive, gzip and 7z.
 Arqiver can extract, create and edit archives
 that are supported by its back-ends.
 It can open archives by drag-and-drop.
 With 7z, it also supports password protection.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=qmake

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/tsujan/Arqiver/releases .*/Arqiver-([\d\.]+).tar.xz

## arqiver 0.11.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)
project(arqiver)
set(CMAKE_BUILD_TYPE Release)
add_definitions(-Wall)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX "/usr")
endif()

option(ENABLE_QT5 "Building Qt5 plugin." ON)

set(QT5_MINIMUM_VERSION "5.12.0")
set(QT6_MINIMUM_VERSION "6.3.0")

if(NOT ENABLE_QT5)
  set(QT_VERSION_MAJOR 6)
  find_package(Qt6 "${QT6_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg DBus)
else()
  set(QT_VERSION_MAJOR 5)
  find_package(Qt5 "${QT5_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg DBus)
endif()

# optional localization
find_package(Qt${QT_VERSION_MAJOR} QUIET COMPONENTS LinguistTools)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                    ${Qt${QT_VERSION_MAJOR}Core_INCLUDE_DIRS}
                    ${Qt${QT_VERSION_MAJOR}Gui_INCLUDE_DIRS}
                    ${Qt${QT_VERSION_MAJOR}Widgets_INCLUDE_DIRS}
                    ${Qt${QT_VERSION_MAJOR}Svg_INCLUDE_DIRS}
                    ${Qt${QT_VERSION_MAJOR}DBus_INCLUDE_DIRS})

add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")

set(arqiver_SRCS
    main.cpp
    backends.cpp
    config.cpp
    mainWin.cpp
    pref.cpp
    svgicons.cpp
    treeWidget.cpp)

set(arqiver_RESOURCES data/arq.qrc)
set(DESKTOP_FILE data/arqiver.desktop)
set(ICON_FILE data/icons/arqiver.svg)

if(QT_VERSION_MAJOR EQUAL 6)
  set(EXTRA_HEADERS label.h lineedit.h)
else()
  if(CMAKE_VERSION VERSION_LESS "3.10.0") # CMP0071 in 3.10: Let AUTOMOC and AUTOUIC process GENERATED files
    qt5_wrap_cpp(EXTRA_HEADERS label.h lineedit.h)
  else()
    set(EXTRA_HEADERS label.h lineedit.h)
  endif()
endif()

# translations
if(Qt${QT_VERSION_MAJOR}LinguistTools_FOUND)
  file(GLOB TS_FILES data/translations/arqiver_*.ts)
  if(QT_VERSION_MAJOR EQUAL 6)
    qt6_add_translation(QM_FILES ${TS_FILES})
  else()
    qt5_add_translation(QM_FILES ${TS_FILES})
  endif()
  add_executable(arqiver ${arqiver_SRCS} ${arqiver_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE} ${QM_FILES})
  install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/arqiver/translations")
else(Qt${QT_VERSION_MAJOR}LinguistTools_FOUND)
  add_executable(arqiver ${arqiver_SRCS} ${arqiver_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE})
endif(Qt${QT_VERSION_MAJOR}LinguistTools_FOUND)

target_link_libraries(arqiver ${Qt${QT_VERSION_MAJOR}Core_LIBRARIES}
                              ${Qt${QT_VERSION_MAJOR}Gui_LIBRARIES}
                              ${Qt${QT_VERSION_MAJOR}Widgets_LIBRARIES}
                              ${Qt${QT_VERSION_MAJOR}Svg_LIBRARIES}
                              ${Qt${QT_VERSION_MAJOR}DBus_LIBRARIES})

# installation
install(TARGETS arqiver RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
install(FILES ${DESKTOP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")
install(FILES ${ICON_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps")

=== debian/changelog ===
arqiver (0.11.0-0.1~mx23+1) mx; urgency=medium

  * New upstream release:
    - Added "View current item" to the "View" menu.
    - Simplified finding of Qt modules with cmake.
    - Corrected context menus on Wayland, by specifying their parent widget.
    - Removed the option about fitting the first column (because it could make
      the first column almost invisible).
    - Allow opening of `dmg` files by drag-and-drop without advertising it.
    - Protect the file type filters of file dialogs from bad translations.
    - Considered the modes of emblemized icons. This is especially relevant to
      Qt icon engines that colorize selected symbolic icons.
    - Get the mimetypes of symlinks directly, without consulting their targets
      (because their targets may be symlinks themselves and so, they aren't
      reliable).
    - First try the file manager DBus interface when opening the containing
      folder.
    - Removed the action for opening the containing folder when running as
      root (because there are DBus complications with most file managers).
    - Added read-only support for VirtualBox Extension Pack.
    - With 7z, don't show password prompt when the archive can't be read and
      there's no mention of encryption.
    - Enabled compilation against Qt6. With cmake, "ENABLE_QT5" should be set
      to "OFF" (as in `cmake .. -DENABLE_QT5=OFF`) — it's "ON" by default.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 06 Aug 2023 18:31:14 -0700

arqiver (0.9.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Show childless directories whose names contain the filtering string.
    - Fixed viewing or removing of files that have wildcard characters in their
      names with bsdtar (by escaping some wildcard characters that come after
      "--include").
    - Better smooth scrolling from inside the view (especially with touchpad).
    - Added read-only support for AppImage bundle through 7z.
    - When viewing a file in a password protected archive, ask the password
      again if a nonempty, wrong password is entered.
    - When viewing files, warn the user of links without targets instead of
      trying to open them.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 18 Oct 2021 08:46:52 -0700

arqiver (0.8.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
   - Added a workaround for a problem in QCollator.
   - Added an option for expanding top level directories when loading archives.
   - Resize columns appropriately on expanding a directory item.
   - Don't stretch the first column by default.
   - Don't show the header without content.
   - Select/deselect the current item with Ctrl+Space and also select it when
     the first Space is typed.
   - Don't select items by pressing the left mouse button and moving the cursor.
   - Don't drag items while the middle mouse button is pressed.
   - Added "application/x-xz", "application/x-bzip" and "application/zstd" to
     the supported extractions by using 7z.
   - Added a workaround for Qt's problem with scrolling to deep nonexpanded
     tree items.
   - Always expand the first header column to fill the available width.
   - Added cmake support (in addition to qmake).
   - Allow dragging of all selected items, including probable directories.
   - Add milliseconds to the name of the cache folder that's used for temporary
     extraction because multiple archives may be loaded almost simultaneously.
   - Show the compressed size prefixed by "≥" if the file size is missing.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 17 Oct 2021 13:50:15 -0700

## arqiver 0.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,10 @@
-cmake_minimum_required(VERSION 3.1.0)
+cmake_minimum_required(VERSION 3.5.0)
 project(arqiver)
-set(CMAKE_BUILD_TYPE Release)
+
+if(NOT CMAKE_BUILD_TYPE)
+  set(CMAKE_BUILD_TYPE Release)
+endif()
+
 add_definitions(-Wall)
 
 if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
@@ -9,7 +13,7 @@
 
 option(ENABLE_QT5 "Building Qt5 plugin." ON)
 
-set(QT5_MINIMUM_VERSION "5.12.0")
+set(QT5_MINIMUM_VERSION "5.15.0")
 set(QT6_MINIMUM_VERSION "6.3.0")
 
 if(NOT ENABLE_QT5)

=== debian/changelog ===
arqiver (0.12.0-0.1~mx23+1) mx; urgency=medium

  * New upstream release:
    - Made it possible to modify files inside archives.
    - Added an option for using system icons.
    - Made sure that "No" is the default button of question dialogs (Qt seems
      to have a minor problem in this regard).
    - Don't start extraction if the archive is removed.
    - Made viewing/extracting of single files much faster with bsdtar.
    - Consistently prevent the parent extraction folder from being hidden (for
      it not to be missed by the user).
    - Fixed a bug in removal of files from archives.
    - Make sure that ed-like special characters are escaped when making path
      patterns with bsdtar.
    - Added a workaround for a nasty bug in bsdtar about start backslashes
      and the option "--strip-components".
    - Added new mimetype names of `shared-mime-info` ≥ 2.3.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 May 2024 17:48:18 -0700

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem=qmake

override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/V?(\d\S+)\.tar\.gz/arqiver-$1\.tar\.gz/ \
  https://github.com/tsujan/Arqiver/tags .*/V?(\d\S+)\.tar\.gz
